set oWMI = GetObject("winmgmts:")

set oProcesses = oWMI.ExecQuery("select * from WIN32_Process WHERE NAME = 'w3wp.exe'")

if oProcesses.Count = 0 then
    WScript.Echo "No w3wp.exe processes running"
    WScript.Quit
end if

WScript.Echo "IIS DLLs loaded by W3WP.EXE"

for each oProcess in oProcesses
    set oFileAssociations = oWMI.ReferencesTo(oProcess.Path_.path, "CIM_ProcessExecutable")
    for each oFileAssociation in oFileAssociations
        set oFile = oWMI.Get(oFileAssociation.Antecedent)
        if Instr(oFile.Path, "inetsrv")>0 AND oFile.Extension = "dll" Then
            WScript.Echo oFile.Drive + oFile.Path + UCase(oFile.FileName) + "." + UCase(oFile.Extension)
        end if
    next
next
